tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aku1234 <augus...@cs.stanford.edu>
Subject RE: Tomcat 5.5.25 -> 6.0.14 upgrade problem
Date Fri, 12 Oct 2007 00:27:40 GMT

Thanks for telling me about your issue.  I experimented unsuccessfully with 
different locations for the jar files in Tomcat 6.

Glassfish v2 is now stable.  I was able to use that without running into
the JNDI problems that I had with Tomcat 6.


Paul Anderson-12 wrote:
> 
> Hi,
> I had a problem before with this upgrade scenario using the Oracle
> drivers, and asked the list. I was asked if the JAR was in
> $CATALINA_HOME/lib - it was - no further ideas.
> I have never had a problem before with JDK 4 or 5 on TC5.5, just with
> JDK6 and TC6, so I temporarily abandoned my upgrade.
> I only had the problem with *cross-context* webapp invocations, in this
> case via Liferay's WAR. Maybe that's significant. If I used a JSP for
> JNDI lookup and requested the page directly, with the DBCP kit in
> WEB-INF/lib, all was OK.
> Here's my message again:
> 
> When doing cross-context invocations of a portlet in Liferay that
> references container-managed Datasources by JNDI, I get:- 
> 
> Cannot load JDBC driver class 'oracle.jdbc.driver.OracleDriver'
> 
> java.lang.ClassNotFoundException: oracle.jdbc.driver.OracleDriver
> 
> The driver JAR was in <SERVER>/lib. ($CATALINA_HOME/lib)
> 
> When I put dbcp, commons-pool and the driver JAR in the portlet WAR file
> and create the Datasource myself, no problem.
> 
> When looking up the container Datasource directly from a JSP (no
> cross-context webapp invocation), no problem.
> 
> I tried upgrading to a later JDK 6 Oracle 11i driver, but no luck, the
> problem was not specific to Oracle's driver version.
> 
> Other people have had classloading problems too, and said it's a bug in
> TC6 with use of Class.forName()
> 
> So I stuck with TC5.5 on JDK 5 for the moment - the problem's blocking
> our upgrade path.
> 
> Is this a known fault with TC6 that will be fixed?
> 
> ---------------------------------------------------------------------
> To start a new topic, e-mail: users@tomcat.apache.org
> To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
> For additional commands, e-mail: users-help@tomcat.apache.org
> 
> 
> 

-- 
View this message in context: http://www.nabble.com/Tomcat-5.5.25--%3E-6.0.14-upgrade-problem-tf4525323.html#a13167197
Sent from the Tomcat - User mailing list archive at Nabble.com.


---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message